summary refs log tree commit diff stats
path: root/bin/yubikey_detect_touch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/yubikey_detect_touch.sh')
-rwxr-xr-xbin/yubikey_detect_touch.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/yubikey_detect_touch.sh b/bin/yubikey_detect_touch.sh
new file mode 100755
index 0000000..ce4893e
--- /dev/null
+++ b/bin/yubikey_detect_touch.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+if ! pgrep yubikey-touch-detector; then
+    yubikey-touch-detector &
+fi
+
+if ! pgrep yubikey-push-the-button; then
+    yubikey-push-the-button &
+fi